> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/parcel-information.md).

# Parcel Information

Endpoints to create and read the parcel information reported by a carrier.

## List parcel information

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Returns all parcel information that match the given query parameters.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create and read the parcel information reported by a carrier.","name":"Parcel information"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ParcelInformationListResponse":{"properties":{"parcelInformationList":{"description":"the parcel information found by the given search criteria","items":{"$ref":"#/components/schemas/ParcelInformation"},"maxItems":500,"type":"array"},"total":{"description":"the total count of parcel information found by the given search criteria","type":"integer"}},"title":"ParcelInformationListResponse","type":"object","description":"ParcelInformationListResponse"},"ParcelInformation":{"properties":{"anonymized":{"description":"Indicates if gdpr related data was anonymized","type":"boolean"},"created":{"description":"Creation date of this parcelInformation","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"dimensions":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationDimensions"}],"description":"Dimension information of this parcel information"},"facilityRef":{"description":"Reference to related facility","type":"string"},"id":{"description":"Unique identifier of this parcelInformation","type":"string"},"lastModified":{"description":"Last modification date of this parcelInformation","format":"date-time","type":"string"},"operativeProcessRef":{"description":"Reference to related operative process.","type":"string"},"parcelInformationLineItems":{"description":"Items that are contained in this parcel information","items":{"$ref":"#/components/schemas/ParcelInformationLineItem"},"maxItems":50,"minItems":0,"type":"array"},"processRef":{"description":"Reference to related process.","type":"string"},"shippingInformationRef":{"description":"Reference to related shipping information.","type":"string"},"shortId":{"description":"A short identifier that helps assigning a parcelInformation to a customer","type":"string"},"version":{"description":"Version number of this parcelInformation","type":"integer"},"weights":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationWeights"}],"description":"Weight information of this parcel information"}},"required":["id","version","created","lastModified","processRef","operativeProcessRef","facilityRef","shippingInformationRef","parcelInformationLineItems"],"title":"ParcelInformation","type":"object","description":"ParcelInformation"},"ParcelInformationDimensions":{"properties":{"decimalPlaces":{"description":"The number of decimal places the dimensions have. Max value is 2","maximum":2,"minimum":0,"type":"integer"},"height":{"description":"The height of the parcel without decimal places","minimum":1,"type":"integer"},"length":{"description":"The length of the parcel without decimal places","minimum":1,"type":"integer"},"unit":{"description":"The unit of the dimensions. For now only CENTIMETER is supported","enum":["CENTIMETER"],"type":"string"},"width":{"description":"The width of the parcel without decimal places","minimum":1,"type":"integer"}},"required":["height","width","length","unit","decimalPlaces"],"title":"ParcelInformationDimensions","type":"object","description":"ParcelInformationDimensions"},"ParcelInformationLineItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/LineItemArticle"}],"description":"Article information for this line item."},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"globalLineItemId":{"description":"This id is used to identify if this line item is related to the line item of other operational entities. If not passed, a new one will be generated.","type":"string"},"id":{"description":"Unique identifier of this parcelInformationLineItem","type":"string"},"quantity":{"description":"Quantity of this item","minimum":1,"type":"integer"},"recordableAttributes":{"description":"Customizable information about the item that can be set during the process","items":{"$ref":"#/components/schemas/RecordableAttribute"},"maxItems":50,"minItems":0,"type":"array"},"scannableCodes":{"description":"Codes, that identify the article","items":{"type":"string"},"maxItems":50,"minItems":0,"type":"array"},"substituteForOrderedItem":{"$ref":"#/components/schemas/SubstituteForOrderedItem"}},"required":["id","article","quantity"],"title":"ParcelInformationLineItem","type":"object","description":"ParcelInformationLineItem"},"LineItemArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"attributes":{"description":"Attributes are used in fulfillmenttools to impose a certain degree of customization to a process, such as improving the appearance in fulfillmenttools clients. Details about usage can be found in the <a href=\\\"https://docs.fulfillmenttools.com/documentation/by-pillar/global-inventory-hub/articles/article-attributes\">article attributes article</a>.","items":{"$ref":"#/components/schemas/ArticleAttributeItem"},"maxItems":50,"type":"array"},"customAttributes":{"deprecated":true,"description":"Deprecated: use customAttributes on lineItem instead.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Ensure that no authentication is needed to fetch the image.","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"Weight value is in gram","minimum":0,"type":"number"}},"required":["title","tenantArticleId"],"title":"LineItemArticle","type":"object","description":"LineItemArticle"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by fulfillmenttools to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout fulfillmenttools. For a complete list of possible categories\nand their correct use, refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"anyOf":[{"type":"string"},{"enum":["billableWeightPerUnit","weightPerUnit","currency","valuePerUnit","hsCode","numberOfDecimalPlaces","decimalPlaces","value","countryOfManufacture","percentage","valueOfMeasureForBasePrice","unitKeyOfMeasureForBasePrice"]}],"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear, for example, in the App.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, for example, priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of fulfillmenttools. Default\nvalue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"RecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"key":{"description":"The translated key of the attribute. This field gets filled automatically on request","type":"string"},"originId":{"description":"The ID of the original lineItem the attribute was split from.","nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["id","keyLocalized","recordingRule"],"title":"RecordableAttribute","type":"object","description":"RecordableAttribute"},"SubstituteForOrderedItem":{"properties":{"article":{"$ref":"#/components/schemas/LineItemArticle"},"globalLineItemId":{"description":"This ID is used to identify if this line item is related to the line item of other operational entities.","type":"string"}},"required":["article","globalLineItemId"],"title":"SubstituteForOrderedItem","type":"object","description":"SubstituteForOrderedItem"},"ParcelInformationWeights":{"properties":{"autoCalculated":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationWeight"}],"description":"Weight automatically calculated from the line items of this parcel information. The weights per item are taken from article.attributes (category: dimensions, key: weightPerUnit, type: NUMBER). Only if ALL items have this attribute a weight will be calculated. If at least one item does not have this attribute, autoCalculated will not be set."},"manuallySet":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationWeight"}],"description":"Weight manually set for this parcel information"}},"title":"ParcelInformationWeights","type":"object","description":"ParcelInformationWeights"},"ParcelInformationWeight":{"properties":{"decimalPlaces":{"description":"The number of decimal places the weight has. Max value is 3","maximum":3,"minimum":0,"type":"integer"},"unit":{"description":"The unit of the weight. For now only GRAM is supported","enum":["GRAM"],"type":"string"},"weight":{"description":"The weight of the parcel without decimal places.","minimum":1,"type":"integer"}},"required":["unit","decimalPlaces","weight"],"title":"ParcelInformationWeight","type":"object","description":"ParcelInformationWeight"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/parcelinformation":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Returns all parcel information that match the given query parameters.","operationId":"getParcelInformation","parameters":[{"description":"entity to start after","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"number of entities to show. Max value is 500","in":"query","name":"size","required":false,"schema":{"default":25,"maximum":500,"minimum":1,"type":"integer"}},{"description":"filter by facilityRefs","in":"query","name":"facilityRefs","required":false,"schema":{"items":{"type":"string"},"type":"array"}},{"description":"filter by shippingInformationRef","in":"query","name":"shippingInformationRef","required":false,"schema":{"type":"string"}},{"description":"the value by which results should be ordered by. If nothing is passed return values are sorted by id","in":"query","name":"orderBy","required":false,"schema":{"type":"string"}},{"description":"if set to true, the total count of entities will be returned. Default is false","in":"query","name":"withTotal","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParcelInformationListResponse"}}},"description":"Found parcel information that match the given query parameters."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List parcel information","tags":["Parcel information"]}}}}
```

## Create a parcel information

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Creates a new parcel information.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create and read the parcel information reported by a carrier.","name":"Parcel information"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ParcelInformationForCreation":{"properties":{"anonymized":{"description":"Indicates if gdpr related data was anonymized","type":"boolean"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"dimensions":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationDimensions"}],"description":"Dimension information of this parcel information"},"parcelInformationLineItems":{"description":"Items that are contained in this parcel information","items":{"$ref":"#/components/schemas/ParcelInformationLineItemForCreation"},"maxItems":50,"minItems":0,"type":"array"},"shippingInformationRef":{"description":"Reference to related shipping information.","type":"string"},"shortId":{"description":"A short identifier that helps assigning a parcelInformation to a customer","type":"string"},"weights":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationWeightsForCreation"}],"description":"Weight information of this parcel information"}},"required":["shippingInformationRef","parcelInformationLineItems"],"title":"ParcelInformationForCreation","type":"object","description":"ParcelInformationForCreation"},"ParcelInformationDimensions":{"properties":{"decimalPlaces":{"description":"The number of decimal places the dimensions have. Max value is 2","maximum":2,"minimum":0,"type":"integer"},"height":{"description":"The height of the parcel without decimal places","minimum":1,"type":"integer"},"length":{"description":"The length of the parcel without decimal places","minimum":1,"type":"integer"},"unit":{"description":"The unit of the dimensions. For now only CENTIMETER is supported","enum":["CENTIMETER"],"type":"string"},"width":{"description":"The width of the parcel without decimal places","minimum":1,"type":"integer"}},"required":["height","width","length","unit","decimalPlaces"],"title":"ParcelInformationDimensions","type":"object","description":"ParcelInformationDimensions"},"ParcelInformationLineItemForCreation":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/LineItemArticle"}],"description":"Article information for this line item."},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"globalLineItemId":{"description":"This id is used to identify if this line item is related to the line item of other operational entities. If not passed, a new one will be generated.","type":"string"},"quantity":{"description":"Quantity of this item","minimum":1,"type":"integer"},"recordableAttributes":{"description":"Customizable information about the item that can be set during the process","items":{"$ref":"#/components/schemas/RecordableAttributeForCreation"},"maxItems":50,"minItems":0,"type":"array"},"scannableCodes":{"description":"Codes, that identify the article","items":{"type":"string"},"maxItems":50,"minItems":0,"type":"array"},"substituteForOrderedItem":{"$ref":"#/components/schemas/SubstituteForOrderedItem"}},"required":["article","quantity"],"title":"ParcelInformationLineItemForCreation","type":"object","description":"ParcelInformationLineItemForCreation"},"LineItemArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"attributes":{"description":"Attributes are used in fulfillmenttools to impose a certain degree of customization to a process, such as improving the appearance in fulfillmenttools clients. Details about usage can be found in the <a href=\\\"https://docs.fulfillmenttools.com/documentation/by-pillar/global-inventory-hub/articles/article-attributes\">article attributes article</a>.","items":{"$ref":"#/components/schemas/ArticleAttributeItem"},"maxItems":50,"type":"array"},"customAttributes":{"deprecated":true,"description":"Deprecated: use customAttributes on lineItem instead.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Ensure that no authentication is needed to fetch the image.","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"Weight value is in gram","minimum":0,"type":"number"}},"required":["title","tenantArticleId"],"title":"LineItemArticle","type":"object","description":"LineItemArticle"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by fulfillmenttools to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout fulfillmenttools. For a complete list of possible categories\nand their correct use, refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"anyOf":[{"type":"string"},{"enum":["billableWeightPerUnit","weightPerUnit","currency","valuePerUnit","hsCode","numberOfDecimalPlaces","decimalPlaces","value","countryOfManufacture","percentage","valueOfMeasureForBasePrice","unitKeyOfMeasureForBasePrice"]}],"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear, for example, in the App.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, for example, priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of fulfillmenttools. Default\nvalue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"RecordableAttributeForCreation":{"additionalProperties":false,"properties":{"keyLocalized":{"$ref":"#/components/schemas/LocaleString"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"validations":{"items":{"$ref":"#/components/schemas/RecordableAttributeValidation"},"maxItems":1,"minItems":0,"type":"array"},"value":{"description":"The value of the attribute","nullable":true,"type":"string"}},"required":["keyLocalized","recordingRule"],"title":"RecordableAttributeForCreation","type":"object","description":"RecordableAttributeForCreation"},"RecordableAttributeValidation":{"properties":{"allowedValues":{"items":{"$ref":"#/components/schemas/RecordableAttributeValidationsAllowedValue"},"maxItems":60,"minItems":0,"type":"array"},"key":{"description":"Key of this value to validate against operation validations","minLength":1,"nullable":true,"type":"string"},"type":{"enum":["EXACT_MATCH"],"type":"string"}},"required":["type","allowedValues"],"title":"RecordableAttributeValidation","type":"object","description":"RecordableAttributeValidation"},"RecordableAttributeValidationsAllowedValue":{"properties":{"type":{"enum":["STRING"],"type":"string"}},"required":["type"],"title":"RecordableAttributeValidationsAllowedValue","type":"object","description":"RecordableAttributeValidationsAllowedValue"},"SubstituteForOrderedItem":{"properties":{"article":{"$ref":"#/components/schemas/LineItemArticle"},"globalLineItemId":{"description":"This ID is used to identify if this line item is related to the line item of other operational entities.","type":"string"}},"required":["article","globalLineItemId"],"title":"SubstituteForOrderedItem","type":"object","description":"SubstituteForOrderedItem"},"ParcelInformationWeightsForCreation":{"properties":{"manuallySet":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationWeight"}],"description":"Weight manually set for this parcel information"}},"required":["manuallySet"],"title":"ParcelInformationWeightsForCreation","type":"object","description":"ParcelInformationWeightsForCreation"},"ParcelInformationWeight":{"properties":{"decimalPlaces":{"description":"The number of decimal places the weight has. Max value is 3","maximum":3,"minimum":0,"type":"integer"},"unit":{"description":"The unit of the weight. For now only GRAM is supported","enum":["GRAM"],"type":"string"},"weight":{"description":"The weight of the parcel without decimal places.","minimum":1,"type":"integer"}},"required":["unit","decimalPlaces","weight"],"title":"ParcelInformationWeight","type":"object","description":"ParcelInformationWeight"},"ParcelInformation":{"properties":{"anonymized":{"description":"Indicates if gdpr related data was anonymized","type":"boolean"},"created":{"description":"Creation date of this parcelInformation","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"dimensions":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationDimensions"}],"description":"Dimension information of this parcel information"},"facilityRef":{"description":"Reference to related facility","type":"string"},"id":{"description":"Unique identifier of this parcelInformation","type":"string"},"lastModified":{"description":"Last modification date of this parcelInformation","format":"date-time","type":"string"},"operativeProcessRef":{"description":"Reference to related operative process.","type":"string"},"parcelInformationLineItems":{"description":"Items that are contained in this parcel information","items":{"$ref":"#/components/schemas/ParcelInformationLineItem"},"maxItems":50,"minItems":0,"type":"array"},"processRef":{"description":"Reference to related process.","type":"string"},"shippingInformationRef":{"description":"Reference to related shipping information.","type":"string"},"shortId":{"description":"A short identifier that helps assigning a parcelInformation to a customer","type":"string"},"version":{"description":"Version number of this parcelInformation","type":"integer"},"weights":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationWeights"}],"description":"Weight information of this parcel information"}},"required":["id","version","created","lastModified","processRef","operativeProcessRef","facilityRef","shippingInformationRef","parcelInformationLineItems"],"title":"ParcelInformation","type":"object","description":"ParcelInformation"},"ParcelInformationLineItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/LineItemArticle"}],"description":"Article information for this line item."},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"globalLineItemId":{"description":"This id is used to identify if this line item is related to the line item of other operational entities. If not passed, a new one will be generated.","type":"string"},"id":{"description":"Unique identifier of this parcelInformationLineItem","type":"string"},"quantity":{"description":"Quantity of this item","minimum":1,"type":"integer"},"recordableAttributes":{"description":"Customizable information about the item that can be set during the process","items":{"$ref":"#/components/schemas/RecordableAttribute"},"maxItems":50,"minItems":0,"type":"array"},"scannableCodes":{"description":"Codes, that identify the article","items":{"type":"string"},"maxItems":50,"minItems":0,"type":"array"},"substituteForOrderedItem":{"$ref":"#/components/schemas/SubstituteForOrderedItem"}},"required":["id","article","quantity"],"title":"ParcelInformationLineItem","type":"object","description":"ParcelInformationLineItem"},"RecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"key":{"description":"The translated key of the attribute. This field gets filled automatically on request","type":"string"},"originId":{"description":"The ID of the original lineItem the attribute was split from.","nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["id","keyLocalized","recordingRule"],"title":"RecordableAttribute","type":"object","description":"RecordableAttribute"},"ParcelInformationWeights":{"properties":{"autoCalculated":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationWeight"}],"description":"Weight automatically calculated from the line items of this parcel information. The weights per item are taken from article.attributes (category: dimensions, key: weightPerUnit, type: NUMBER). Only if ALL items have this attribute a weight will be calculated. If at least one item does not have this attribute, autoCalculated will not be set."},"manuallySet":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationWeight"}],"description":"Weight manually set for this parcel information"}},"title":"ParcelInformationWeights","type":"object","description":"ParcelInformationWeights"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/parcelinformation":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Creates a new parcel information.","operationId":"createParcelInformation","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParcelInformationForCreation"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParcelInformation"}}},"description":"Successfully created the parcel information."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create a parcel information","tags":["Parcel information"]}}}}
```

## Get a parcel information by its ID

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Retrieves a single parcel information using its unique identifier.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create and read the parcel information reported by a carrier.","name":"Parcel information"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ParcelInformation":{"properties":{"anonymized":{"description":"Indicates if gdpr related data was anonymized","type":"boolean"},"created":{"description":"Creation date of this parcelInformation","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"dimensions":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationDimensions"}],"description":"Dimension information of this parcel information"},"facilityRef":{"description":"Reference to related facility","type":"string"},"id":{"description":"Unique identifier of this parcelInformation","type":"string"},"lastModified":{"description":"Last modification date of this parcelInformation","format":"date-time","type":"string"},"operativeProcessRef":{"description":"Reference to related operative process.","type":"string"},"parcelInformationLineItems":{"description":"Items that are contained in this parcel information","items":{"$ref":"#/components/schemas/ParcelInformationLineItem"},"maxItems":50,"minItems":0,"type":"array"},"processRef":{"description":"Reference to related process.","type":"string"},"shippingInformationRef":{"description":"Reference to related shipping information.","type":"string"},"shortId":{"description":"A short identifier that helps assigning a parcelInformation to a customer","type":"string"},"version":{"description":"Version number of this parcelInformation","type":"integer"},"weights":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationWeights"}],"description":"Weight information of this parcel information"}},"required":["id","version","created","lastModified","processRef","operativeProcessRef","facilityRef","shippingInformationRef","parcelInformationLineItems"],"title":"ParcelInformation","type":"object","description":"ParcelInformation"},"ParcelInformationDimensions":{"properties":{"decimalPlaces":{"description":"The number of decimal places the dimensions have. Max value is 2","maximum":2,"minimum":0,"type":"integer"},"height":{"description":"The height of the parcel without decimal places","minimum":1,"type":"integer"},"length":{"description":"The length of the parcel without decimal places","minimum":1,"type":"integer"},"unit":{"description":"The unit of the dimensions. For now only CENTIMETER is supported","enum":["CENTIMETER"],"type":"string"},"width":{"description":"The width of the parcel without decimal places","minimum":1,"type":"integer"}},"required":["height","width","length","unit","decimalPlaces"],"title":"ParcelInformationDimensions","type":"object","description":"ParcelInformationDimensions"},"ParcelInformationLineItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/LineItemArticle"}],"description":"Article information for this line item."},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"globalLineItemId":{"description":"This id is used to identify if this line item is related to the line item of other operational entities. If not passed, a new one will be generated.","type":"string"},"id":{"description":"Unique identifier of this parcelInformationLineItem","type":"string"},"quantity":{"description":"Quantity of this item","minimum":1,"type":"integer"},"recordableAttributes":{"description":"Customizable information about the item that can be set during the process","items":{"$ref":"#/components/schemas/RecordableAttribute"},"maxItems":50,"minItems":0,"type":"array"},"scannableCodes":{"description":"Codes, that identify the article","items":{"type":"string"},"maxItems":50,"minItems":0,"type":"array"},"substituteForOrderedItem":{"$ref":"#/components/schemas/SubstituteForOrderedItem"}},"required":["id","article","quantity"],"title":"ParcelInformationLineItem","type":"object","description":"ParcelInformationLineItem"},"LineItemArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"attributes":{"description":"Attributes are used in fulfillmenttools to impose a certain degree of customization to a process, such as improving the appearance in fulfillmenttools clients. Details about usage can be found in the <a href=\\\"https://docs.fulfillmenttools.com/documentation/by-pillar/global-inventory-hub/articles/article-attributes\">article attributes article</a>.","items":{"$ref":"#/components/schemas/ArticleAttributeItem"},"maxItems":50,"type":"array"},"customAttributes":{"deprecated":true,"description":"Deprecated: use customAttributes on lineItem instead.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Ensure that no authentication is needed to fetch the image.","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"Weight value is in gram","minimum":0,"type":"number"}},"required":["title","tenantArticleId"],"title":"LineItemArticle","type":"object","description":"LineItemArticle"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by fulfillmenttools to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout fulfillmenttools. For a complete list of possible categories\nand their correct use, refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"anyOf":[{"type":"string"},{"enum":["billableWeightPerUnit","weightPerUnit","currency","valuePerUnit","hsCode","numberOfDecimalPlaces","decimalPlaces","value","countryOfManufacture","percentage","valueOfMeasureForBasePrice","unitKeyOfMeasureForBasePrice"]}],"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear, for example, in the App.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, for example, priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of fulfillmenttools. Default\nvalue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"RecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"key":{"description":"The translated key of the attribute. This field gets filled automatically on request","type":"string"},"originId":{"description":"The ID of the original lineItem the attribute was split from.","nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["id","keyLocalized","recordingRule"],"title":"RecordableAttribute","type":"object","description":"RecordableAttribute"},"SubstituteForOrderedItem":{"properties":{"article":{"$ref":"#/components/schemas/LineItemArticle"},"globalLineItemId":{"description":"This ID is used to identify if this line item is related to the line item of other operational entities.","type":"string"}},"required":["article","globalLineItemId"],"title":"SubstituteForOrderedItem","type":"object","description":"SubstituteForOrderedItem"},"ParcelInformationWeights":{"properties":{"autoCalculated":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationWeight"}],"description":"Weight automatically calculated from the line items of this parcel information. The weights per item are taken from article.attributes (category: dimensions, key: weightPerUnit, type: NUMBER). Only if ALL items have this attribute a weight will be calculated. If at least one item does not have this attribute, autoCalculated will not be set."},"manuallySet":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationWeight"}],"description":"Weight manually set for this parcel information"}},"title":"ParcelInformationWeights","type":"object","description":"ParcelInformationWeights"},"ParcelInformationWeight":{"properties":{"decimalPlaces":{"description":"The number of decimal places the weight has. Max value is 3","maximum":3,"minimum":0,"type":"integer"},"unit":{"description":"The unit of the weight. For now only GRAM is supported","enum":["GRAM"],"type":"string"},"weight":{"description":"The weight of the parcel without decimal places.","minimum":1,"type":"integer"}},"required":["unit","decimalPlaces","weight"],"title":"ParcelInformationWeight","type":"object","description":"ParcelInformationWeight"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/parcelinformation/{parcelInformationId}":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Retrieves a single parcel information using its unique identifier.","operationId":"getParcelInformationById","parameters":[{"in":"path","name":"parcelInformationId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParcelInformation"}}},"description":"Successfully retrieved the parcel information."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get a parcel information by its ID","tags":["Parcel information"]}}}}
```

## List ParcelInformation (search)

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Search for ParcelInformation

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create and read the parcel information reported by a carrier.","name":"Parcel information"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ParcelInformationSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"$ref":"#/components/schemas/SearchOptions"},"query":{"$ref":"#/components/schemas/ParcelInformationSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/ParcelInformationSort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"ParcelInformationSearchPayload","type":"object","description":"ParcelInformationSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"ParcelInformationSearchQuery":{"properties":{"and":{"items":{"$ref":"#/components/schemas/ParcelInformationSearchQuery"},"maxItems":500,"type":"array"},"created":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search entries by created. Applying a narrow and well-considered filter value is strongly recommended, as it can greatly improve response times, especially when working with large datasets."},"facilityRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by facilityRef"},"id":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by id"},"lastModified":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search by lastModified"},"or":{"items":{"$ref":"#/components/schemas/ParcelInformationSearchQuery"},"maxItems":500,"type":"array"},"parcelInformationLineItems":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationParcelInformationLineItemsListFilter"}],"description":"Nested list search by parcelInformationLineItems"},"shippingInformationRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by shippingInformationRef"},"shortId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by shortId"}},"title":"ParcelInformationSearchQuery","type":"object","description":"ParcelInformationSearchQuery"},"DateFilter":{"properties":{"after":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events after the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"before":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events before the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"eq":{"format":"date-time","type":"string"},"gt":{"format":"date-time","type":"string"},"gte":{"format":"date-time","type":"string"},"lt":{"format":"date-time","type":"string"},"lte":{"format":"date-time","type":"string"},"notEq":{"format":"date-time","type":"string"}},"title":"DateFilter","type":"object","description":"DateFilter"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"ParcelInformationParcelInformationLineItemsListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationParcelInformationLineItemsFilter"}],"description":"Contains returns if at least one entry matches"},"exists":{"description":"exists:false matches empty or absent lists; exists:true matches non-empty lists","type":"boolean"}},"title":"ParcelInformationParcelInformationLineItemsListFilter","type":"object","description":"ParcelInformationParcelInformationLineItemsListFilter"},"ParcelInformationParcelInformationLineItemsFilter":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationParcelInformationLineItemsArticleFilter"}],"description":"Nested search by article"}},"title":"ParcelInformationParcelInformationLineItemsFilter","type":"object","description":"ParcelInformationParcelInformationLineItemsFilter"},"ParcelInformationParcelInformationLineItemsArticleFilter":{"properties":{"tenantArticleId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by tenantArticleId"},"title":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by title"}},"title":"ParcelInformationParcelInformationLineItemsArticleFilter","type":"object","description":"ParcelInformationParcelInformationLineItemsArticleFilter"},"StringSearchFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"like":{"description":"Search by regex pattern","maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringSearchFilter","type":"object","description":"StringSearchFilter"},"ParcelInformationSort":{"properties":{"created":{"enum":["ASC","DESC"],"type":"string"},"lastModified":{"enum":["ASC","DESC"],"type":"string"}},"title":"ParcelInformationSort","type":"object","description":"ParcelInformationSort"},"ParcelInformationPaginatedResult":{"properties":{"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"parcelInformationList":{"items":{"$ref":"#/components/schemas/ParcelInformation"},"type":"array"},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"}},"required":["pageInfo","parcelInformationList"],"title":"ParcelInformationPaginatedResult","type":"object","description":"ParcelInformationPaginatedResult"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"ParcelInformation":{"properties":{"anonymized":{"description":"Indicates if gdpr related data was anonymized","type":"boolean"},"created":{"description":"Creation date of this parcelInformation","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"dimensions":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationDimensions"}],"description":"Dimension information of this parcel information"},"facilityRef":{"description":"Reference to related facility","type":"string"},"id":{"description":"Unique identifier of this parcelInformation","type":"string"},"lastModified":{"description":"Last modification date of this parcelInformation","format":"date-time","type":"string"},"operativeProcessRef":{"description":"Reference to related operative process.","type":"string"},"parcelInformationLineItems":{"description":"Items that are contained in this parcel information","items":{"$ref":"#/components/schemas/ParcelInformationLineItem"},"maxItems":50,"minItems":0,"type":"array"},"processRef":{"description":"Reference to related process.","type":"string"},"shippingInformationRef":{"description":"Reference to related shipping information.","type":"string"},"shortId":{"description":"A short identifier that helps assigning a parcelInformation to a customer","type":"string"},"version":{"description":"Version number of this parcelInformation","type":"integer"},"weights":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationWeights"}],"description":"Weight information of this parcel information"}},"required":["id","version","created","lastModified","processRef","operativeProcessRef","facilityRef","shippingInformationRef","parcelInformationLineItems"],"title":"ParcelInformation","type":"object","description":"ParcelInformation"},"ParcelInformationDimensions":{"properties":{"decimalPlaces":{"description":"The number of decimal places the dimensions have. Max value is 2","maximum":2,"minimum":0,"type":"integer"},"height":{"description":"The height of the parcel without decimal places","minimum":1,"type":"integer"},"length":{"description":"The length of the parcel without decimal places","minimum":1,"type":"integer"},"unit":{"description":"The unit of the dimensions. For now only CENTIMETER is supported","enum":["CENTIMETER"],"type":"string"},"width":{"description":"The width of the parcel without decimal places","minimum":1,"type":"integer"}},"required":["height","width","length","unit","decimalPlaces"],"title":"ParcelInformationDimensions","type":"object","description":"ParcelInformationDimensions"},"ParcelInformationLineItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/LineItemArticle"}],"description":"Article information for this line item."},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"globalLineItemId":{"description":"This id is used to identify if this line item is related to the line item of other operational entities. If not passed, a new one will be generated.","type":"string"},"id":{"description":"Unique identifier of this parcelInformationLineItem","type":"string"},"quantity":{"description":"Quantity of this item","minimum":1,"type":"integer"},"recordableAttributes":{"description":"Customizable information about the item that can be set during the process","items":{"$ref":"#/components/schemas/RecordableAttribute"},"maxItems":50,"minItems":0,"type":"array"},"scannableCodes":{"description":"Codes, that identify the article","items":{"type":"string"},"maxItems":50,"minItems":0,"type":"array"},"substituteForOrderedItem":{"$ref":"#/components/schemas/SubstituteForOrderedItem"}},"required":["id","article","quantity"],"title":"ParcelInformationLineItem","type":"object","description":"ParcelInformationLineItem"},"LineItemArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"attributes":{"description":"Attributes are used in fulfillmenttools to impose a certain degree of customization to a process, such as improving the appearance in fulfillmenttools clients. Details about usage can be found in the <a href=\\\"https://docs.fulfillmenttools.com/documentation/by-pillar/global-inventory-hub/articles/article-attributes\">article attributes article</a>.","items":{"$ref":"#/components/schemas/ArticleAttributeItem"},"maxItems":50,"type":"array"},"customAttributes":{"deprecated":true,"description":"Deprecated: use customAttributes on lineItem instead.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Ensure that no authentication is needed to fetch the image.","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"Weight value is in gram","minimum":0,"type":"number"}},"required":["title","tenantArticleId"],"title":"LineItemArticle","type":"object","description":"LineItemArticle"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by fulfillmenttools to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout fulfillmenttools. For a complete list of possible categories\nand their correct use, refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"anyOf":[{"type":"string"},{"enum":["billableWeightPerUnit","weightPerUnit","currency","valuePerUnit","hsCode","numberOfDecimalPlaces","decimalPlaces","value","countryOfManufacture","percentage","valueOfMeasureForBasePrice","unitKeyOfMeasureForBasePrice"]}],"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear, for example, in the App.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, for example, priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of fulfillmenttools. Default\nvalue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"RecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"key":{"description":"The translated key of the attribute. This field gets filled automatically on request","type":"string"},"originId":{"description":"The ID of the original lineItem the attribute was split from.","nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["id","keyLocalized","recordingRule"],"title":"RecordableAttribute","type":"object","description":"RecordableAttribute"},"SubstituteForOrderedItem":{"properties":{"article":{"$ref":"#/components/schemas/LineItemArticle"},"globalLineItemId":{"description":"This ID is used to identify if this line item is related to the line item of other operational entities.","type":"string"}},"required":["article","globalLineItemId"],"title":"SubstituteForOrderedItem","type":"object","description":"SubstituteForOrderedItem"},"ParcelInformationWeights":{"properties":{"autoCalculated":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationWeight"}],"description":"Weight automatically calculated from the line items of this parcel information. The weights per item are taken from article.attributes (category: dimensions, key: weightPerUnit, type: NUMBER). Only if ALL items have this attribute a weight will be calculated. If at least one item does not have this attribute, autoCalculated will not be set."},"manuallySet":{"allOf":[{"$ref":"#/components/schemas/ParcelInformationWeight"}],"description":"Weight manually set for this parcel information"}},"title":"ParcelInformationWeights","type":"object","description":"ParcelInformationWeights"},"ParcelInformationWeight":{"properties":{"decimalPlaces":{"description":"The number of decimal places the weight has. Max value is 3","maximum":3,"minimum":0,"type":"integer"},"unit":{"description":"The unit of the weight. For now only GRAM is supported","enum":["GRAM"],"type":"string"},"weight":{"description":"The weight of the parcel without decimal places.","minimum":1,"type":"integer"}},"required":["unit","decimalPlaces","weight"],"title":"ParcelInformationWeight","type":"object","description":"ParcelInformationWeight"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/parcelinformation/search":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Search for ParcelInformation","operationId":"searchParcelInformation","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParcelInformationSearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParcelInformationPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List ParcelInformation (search)","tags":["Parcel information"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/parcel-information.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
